| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, 1, Skipper > Struct Template Reference

`#include <GaudiKernel/GrammarsV2.h>`

Inheritance diagram for Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, 1, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, 1, Skipper >:
[legend]

## Classes
struct | Operations

## Public Types
typedef TupleT | ResultT

## Public Member Functions
| TupleInnerGrammar ()

## Public Attributes
Grammar_< Iterator, typename std::tuple_element< 0, ResultT >::type, Skipper >::Grammar | grFirst
qi::rule< Iterator, ResultT(), Skipper > | tup
ph::function< Operations > | op

## Detailed Description

### template<typename Iterator, typename TupleT, typename Skipper>
struct Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, 1, Skipper >

Definition at line 222 of file GrammarsV2.h.

## Member Typedef Documentation

template<typename Iterator , typename TupleT , typename Skipper >

typedef TupleT Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, 1, Skipper >::ResultT

Definition at line 224 of file GrammarsV2.h.

## Constructor & Destructor Documentation

template<typename Iterator , typename TupleT , typename Skipper >

Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, 1, Skipper >::TupleInnerGrammar | ( |  | ) |
| inline

Definition at line 242 of file GrammarsV2.h.

242 : TupleInnerGrammar::base_type( tup ) { tup = grFirst[op( qi::_val, qi::_1 )]; }
Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, 1, Skipper >::op
ph::function< Operations > op
Definition: GrammarsV2.h:247
Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, 1, Skipper >::grFirst
Grammar_< Iterator, typename std::tuple_element< 0, ResultT >::type, Skipper >::Grammar grFirst
Definition: GrammarsV2.h:244
Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, 1, Skipper >::tup
qi::rule< Iterator, ResultT(), Skipper > tup
Definition: GrammarsV2.h:246

## Member Data Documentation

template<typename Iterator , typename TupleT , typename Skipper >

Grammar_<Iterator, typename std::tuple_element<0, ResultT>::type, Skipper>::Grammar Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, 1, Skipper >::grFirst

Definition at line 244 of file GrammarsV2.h.

template<typename Iterator , typename TupleT , typename Skipper >

ph::function<Operations> Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, 1, Skipper >::op

Definition at line 247 of file GrammarsV2.h.

template<typename Iterator , typename TupleT , typename Skipper >

qi::rule<Iterator, ResultT(), Skipper> Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, 1, Skipper >::tup

Definition at line 246 of file GrammarsV2.h.

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/GrammarsV2.h